:
#	@(#) init.man 1.2 89/07/16 
#
#	Copyright (C) The Santa Cruz Operation, 1988, 1989.
#	This Module contains Proprietary Information of
#	The Santa Cruz Operation, and should be treated as Confidential.
#

PATH=/bin:/usr/bin:/etc
prd=unixos

# Return code definitions 
: ${OK=0} ${FAIL=1} ${STOP=10} ${HALT=11}

# Print an error message
error() {
	echo "\nError: $*" >&2
	return 1
}

trap 'cleanup 1' 1 2 3 15

[ -d /usr/man -a -f /usr/man/index.* ] && {
	echo "Setting up man pages index."
	for i in /usr/man/index.*
	do
		grep -v "^#" $i >>/tmp/mkindex$$
	done
	sort -u /tmp/mkindex$$ > /usr/man/index || {
		error "Failed to set up man page index."
		exit $FAIL
		}
	exit $OK
}
